#ifndef PATHFINDER_H
#define PATHFINDER_H

#include <vector>
#include "graph.h"

class PathFinder
{
public:
    PathFinder();
    static std::vector<GraphNode*> a_star(GraphNode* start,GraphNode* goal,bool debug = false);
};

class ComparePriority{
public:
    bool operator() (GraphNode* a,GraphNode* b)
    {
        return a->getPriority() > b->getPriority();
    }
};
#endif // PATHFINDER_H
